<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XVpnGroupMember StructType
 * @subpackage Structs
 */
class XVpnGroupMember extends AbstractStructBase
{
    /**
     * The vpnGatewayName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $vpnGatewayName;
    /**
     * The priority
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $priority;
    /**
     * Constructor method for XVpnGroupMember
     * @uses XVpnGroupMember::setVpnGatewayName()
     * @uses XVpnGroupMember::setPriority()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $vpnGatewayName
     * @param string $priority
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $vpnGatewayName = null, $priority = null)
    {
        $this
            ->setVpnGatewayName($vpnGatewayName)
            ->setPriority($priority);
    }
    /**
     * Get vpnGatewayName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public function getVpnGatewayName()
    {
        return $this->vpnGatewayName;
    }
    /**
     * Set vpnGatewayName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $vpnGatewayName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XVpnGroupMember
     */
    public function setVpnGatewayName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $vpnGatewayName = null)
    {
        $this->vpnGatewayName = $vpnGatewayName;
        return $this;
    }
    /**
     * Get priority value
     * @return string
     */
    public function getPriority()
    {
        return $this->priority;
    }
    /**
     * Set priority value
     * @param string $priority
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XVpnGroupMember
     */
    public function setPriority($priority = null)
    {
        $this->priority = $priority;
        return $this;
    }
}
